import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_cloud_messaging_bloc/src/domain/repositories/notification_repository.dart';

class GetCloudMessagingTokenUseCase extends AsyncUseCase<void, String> {
  final NotificationRepository _notificationRepository;

  GetCloudMessagingTokenUseCase({
    required NotificationRepository notificationRepository,
  }) : _notificationRepository = notificationRepository;

  @override
  FutureOrResult<String> execute(void params) =>
      _notificationRepository.getToken();
}
