import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_cloud_messaging_bloc/src/domain/repositories/notification_repository.dart';

class InitCloudmessagingUseCase extends AsyncUseCase<NoParam, void> {
  final NotificationRepository _notificationRepository;

  InitCloudmessagingUseCase({
    required NotificationRepository notificationRepository,
  }) : _notificationRepository = notificationRepository;
  @override
  FutureOrResult<void> execute(NoParam? params) =>
      _notificationRepository.register();
}
