import 'package:wyatt_architecture/wyatt_architecture.dart';
import 'package:wyatt_cloud_messaging_bloc/src/domain/repositories/notification_repository.dart';

class RequestCloudMessagingPermissionUseCase extends AsyncUseCase<void, void> {
  final NotificationRepository _notificationRepository;

  RequestCloudMessagingPermissionUseCase({
    required NotificationRepository notificationRepository,
  }) : _notificationRepository = notificationRepository;

  @override
  FutureOrResult<void> execute(void params) =>
      _notificationRepository.register();
}
